RDKit: RDKit::Snapshot Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
RDKit::Snapshot Class Reference

`#include <Snapshot.h>`

## Public Member Functions
| Snapshot (boost::shared_array< double > pos, double energy=0.0)
| Constructor.
const Trajectory * | trajectory () const
RDGeom::Point2D | getPoint2D (unsigned int pointNum) const
RDGeom::Point3D | getPoint3D (unsigned int pointNum) const
double | getEnergy () const
void | setEnergy (double energy)
| Sets the energy for this Snapshot.

## Friends
class | Trajectory

## Detailed Description

Definition at line 26 of file Snapshot.h.

## Constructor & Destructor Documentation

## ◆ Snapshot()

RDKit::Snapshot::Snapshot | ( | boost::shared_array< double > | pos,
|  | double | energy = 0.0 )
| inline

Constructor.

Parameters

  pos | is a pointer to an array of (numPoints * dimension) doubles; numPoints and dimension must match the Trajectory which is going to contain this Snapshot
  energy | is the energy associated with this set of coordinates

Definition at line 36 of file Snapshot.h.

## Member Function Documentation

## ◆ getEnergy()

double RDKit::Snapshot::getEnergy | ( |  | ) | const
| inline

Returns
  the energy for this Snapshot

Definition at line 53 of file Snapshot.h.

## ◆ getPoint2D()

RDGeom::Point2D RDKit::Snapshot::getPoint2D | ( | unsigned int | pointNum | ) | const

Parameters

  pointNum | is the atom number whose coordinates will be retrieved

Returns
  the coordinates at pointNum as a Point2D object; requires the Trajectory dimension to be == 2

## ◆ getPoint3D()

RDGeom::Point3D RDKit::Snapshot::getPoint3D | ( | unsigned int | pointNum | ) | const

Parameters

  pointNum | is the atom number whose coordinates will be retrieved

Returns
  the coordinates at pointNum as a Point3D object; requires the Trajectory dimension to be >= 2

## ◆ setEnergy()

void RDKit::Snapshot::setEnergy | ( | double | energy | ) |
| inline

Sets the energy for this Snapshot.

Parameters

  energy | the energy value assigned to this Snapshot

Definition at line 57 of file Snapshot.h.

## ◆ trajectory()

const Trajectory * RDKit::Snapshot::trajectory | ( |  | ) | const
| inline

Returns
  a const pointer to the parent Trajectory

Definition at line 40 of file Snapshot.h.

References Trajectory.

## Friends And Related Symbol Documentation

## ◆ Trajectory

friend class Trajectory
| friend

Definition at line 27 of file Snapshot.h.

References Trajectory.

Referenced by Trajectory, and trajectory().

The documentation for this class was generated from the following file:

- Snapshot.h